%define upstream_name    Glib-Object-Introspection
%define upstream_version 0.043

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dynamically create Perl language bindings
License:    LGPLv2
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Glib/%{upstream_name}-%{upstream_version}.tar.xz
Source1: perl_checker2.diff

#----------------------------------------------------
BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: perl(Glib) >= 1.300.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: locales-en
#--------------------------------------------------
Requires: perl(Glib) >= 1.320.0

%{?perl_default_filter}

%description
To allow Glib::Object::Introspection to create bindings for a library, it
must have installed a typelib file, for example
'$prefix/lib/girepository-1.0/Gtk-3.0.typelib'. In your code you then
simply call 'Glib::Object::Introspection->setup' to set everything up. This
method takes a couple of key-value pairs as arguments. These three are
mandatory:

* basename => $basename

  The basename of the library that should be wrapped. If your typelib is
  called 'Gtk-3.0.typelib', then the basename is 'Gtk'.

%package -n perli11ndoc
Summary: an interactive documentation viewer based on installed gir files
Group:  Development/Perl
Requires: perl-Gtk3

%description -n perli11ndoc
perli11ndoc is an interactive documentation viewer based on installed *.gir
files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %buildroot
%make_install INSTALL_BASE= PREFIX=/usr
chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/Glib/Object/Introspection/Introspection.so

%files
%doc META.json META.yml MYMETA.yml NEWS README LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*

%files -n perli11ndoc
%{_bindir}/*


%changelog
* Mon Jul 17 2017 bb2 <bb2> 0.43.0-1pclos2017
- new version
